summaryrefslogtreecommitdiff
path: root/.github/workflows/bootstrap-test.sh
diff options
context:
space:
mode:
authorMassimiliano Culpo <massimiliano.culpo@gmail.com>2024-05-07 08:49:53 +0200
committerGitHub <noreply@github.com>2024-05-07 08:49:53 +0200
commitd7297e67a5dd7ae2f902e927fafa62519c1977a6 (patch)
treec5a58b2f6d1a95271f54035d0974f9ed2bae9789 /.github/workflows/bootstrap-test.sh
parentee8addf04aac5bd3469fe6717c26c6fef60a7b5f (diff)
downloadspack-d7297e67a5dd7ae2f902e927fafa62519c1977a6.tar.gz
spack-d7297e67a5dd7ae2f902e927fafa62519c1977a6.tar.bz2
spack-d7297e67a5dd7ae2f902e927fafa62519c1977a6.tar.xz
spack-d7297e67a5dd7ae2f902e927fafa62519c1977a6.zip
Maintenance for the "bootstrap" workflow in CI (#44031)
Removed a lot of duplication. Fixed an issue in containers, leading to false negative
Diffstat (limited to '.github/workflows/bootstrap-test.sh')
-rwxr-xr-x.github/workflows/bootstrap-test.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/.github/workflows/bootstrap-test.sh b/.github/workflows/bootstrap-test.sh
index b51db3d1b7..563eb28643 100755
--- a/.github/workflows/bootstrap-test.sh
+++ b/.github/workflows/bootstrap-test.sh
@@ -1,7 +1,8 @@
#!/bin/bash
-set -ex
+set -e
source share/spack/setup-env.sh
+$PYTHON bin/spack bootstrap disable github-actions-v0.4
$PYTHON bin/spack bootstrap disable spack-install
-$PYTHON bin/spack -d solve zlib
+$PYTHON bin/spack $SPACK_FLAGS solve zlib
tree $BOOTSTRAP/store
exit 0